<?php
if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

// phpBB install directory, relative to the roster install directory
$addon_conf['phpBB_Groups']['phpbb_dir'] = "../phpBB2/";

// Addon directory name
$addon_conf['phpBB_Groups']['addon_dir'] = "addons/phpbb_groups";

// phpBB Group Prefix
$addon_conf['phpBB_Groups']['group_prefix'] = "Roster: ";

// Main Identifier
$addon_conf['phpBB_Groups']['identifier_category'] = "note";
$addon_conf['phpBB_Groups']['identifier_text'] = "main%";

// Our table name
$addon_conf['phpBB_Groups']['pointer_table_name'] = "phpBB_Groups_pointers";
$addon_conf['phpBB_Groups']['group_table_name'] = "phpBB_Groups_groups";

//*
// Long HTML strings that I don't want in the base code

//Logout, copied from admin.php
$addon_conf['phpBB_Groups']['Logout'] = '
	<span class="title_text">'.$wordings['enUS']['phpBB_Groups']['Title'].'</span>
	<br />
	<span style="font-size:10px;color:red;">Logged in:</span>
	<form style="display:inline;" name="roster_logout" action="admin.php" method="post">
		<span style="font-size:10px;color:#FFFFFF">
			<input type="hidden" name="logout" value="1" />[<a href="javascript:document.roster_logout.submit();">Logout</a>]
		</span>
	</form>';

$addon_conf['phpBB_Groups']['Install_Form'] = '<form method="post" action="'.$script_filename.'"><input type="submit" value="Install" name="install" /></form>';

// Javascript for the Pointers table
$addon_conf['phpBB_Groups']['Pointers_Javascript'] = "
<script type='text/javascript'>
var x=%d;
function phpbb_groups_add_row(){
	nRow = document.getElementById(\"phpbb_groups_pointers\").insertRow(-1);
	nRow.id=\"phpbb_groups_pointers_row\"+x;
	cell = nRow.insertCell(0);
	cell.innerHTML=\"<input type='button' value='Search' onclick='window.open(\\\"".$script_filename."&amp;search=true&amp;m=roster&amp;d=roster\"+x+\"\\\", \\\"_rostersearch\\\", \\\"HEIGHT=250,resizable=0,status=0,WIDTH=400\\\");return false;' />\";
	cell = nRow.insertCell(1);
	cell.innerHTML=\"<input type='text' id='roster\"+x+\"' name='pointers[\"+x+\"][roster]' />\";
	cell = nRow.insertCell(2);
	cell.innerHTML=\"<input type='text' id='phpbb\"+x+\"' name='pointers[\"+x+\"][phpbb]' />\";
	cell = nRow.insertCell(3);
	cell.innerHTML=\"<input type='button' value='Search' onclick='window.open(\\\"".$script_filename."&amp;search=true&amp;m=phpbb&amp;d=phpbb\"+x+\"\\\", \\\"_phpbbsearch\\\", \\\"HEIGHT=250,resizable=0,status=0,WIDTH=400\\\");return false;' />\";
	cell = nRow.insertCell(4);
	cell.innerHTML=\"<input type='button' value='Delete' onclick='phpbb_groups_remove_row(\\\"phpbb_groups_pointers_row\"+x.toString()+\"\\\");' />\";
	x++;
}
function phpbb_groups_remove_row(index){
	var parent = document.getElementById(index).parentNode;
	parent.removeChild(document.getElementById(index));
}
</script>
";

// Javascript for the Pointers table
$addon_conf['phpBB_Groups']['Groups_Javascript'] = "
<script type='text/javascript'>
var x=%d;
function phpbb_groups_add_row(){
	nRow = document.getElementById(\"phpbb_groups_groups\").insertRow(-1);
	nRow.id=\"phpbb_groups_groups_row\"+x;
	cell = nRow.insertCell(0);
	cell.innerHTML=\"<select id='rank\"+x+\"' name='groups[\"+x+\"][rank]'>%s</select>\";
	cell = nRow.insertCell(1);
	cell.innerHTML=\"<select id='group\"+x+\"' name='groups[\"+x+\"][group]'>%s</select>\";
	cell = nRow.insertCell(2);
	cell.innerHTML=\"<input type='button' value='Delete' onclick='phpbb_groups_remove_row(\\\"phpbb_groups_groups_row\"+x.toString()+\"\\\");' />\";
	x++;
}
function phpbb_groups_remove_row(index){
	var parent = document.getElementById(index).parentNode;
	parent.removeChild(document.getElementById(index));
}
</script>
";
?>
