<?php

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

if($_GET['search'] == 'true'){
	$roster_show_header = false;
	$roster_show_menu = false;
	$roster_show_footer = false;
	
	require_once($addonDir."search.php");
	
	die();
}

//Login dialog, copied from wiki
$roster_login = new RosterLogin($script_filename);
if( !$roster_login->getAuthorized() )
{
	include_once (ROSTER_BASE.'roster_header.tpl');
	include_once (ROSTER_LIB.'menu.php');
 
	echo '<span class="title_text">'.$wordings['enUS']['phpBB_Groups']['Title'].' Login</span><br />'.
	$roster_login->getMessage().
	$roster_login->getLoginForm();
 
	include_once (ROSTER_BASE.'roster_footer.tpl');
 
	return;
}
else
{
	// Include our functions
	require_once($addonDir.'/functions.php');
	//Logout, copied from admin.php
	echo $addon_conf['phpBB_Groups']['Logout'];
	
	// Make sure we're up and running, if not ask the user to install us
	if(!phpBB_Groups_database(FALSE))
	{
	
		if(!$_POST['install'])
		{
			echo messagebox($wordings[$roster_conf['roster_lang']]['phpBB_Groups']['Error']['Not_Installed'].$addon_conf['phpBB_Groups']['Install_Form'] ,"Install", "sred");
		}
		else
		{
		
			if(phpBB_Groups_database(TRUE))
			{
				echo messagebox("<a href='".$script_filename."'>Continue</a>" ,"Install Complete", "sgreen");
			}
			
		}
		
	}
	else
	{	
		// Check for phpBB configuration file
		if( !isset( $addon_conf['phpBB_Groups']['phpbb_dir'] ) || 
			!is_file( $addon_conf['phpBB_Groups']['phpbb_dir']."./config.php" ) 
		)
		{
		
			echo messagebox($wordings[$roster_conf['roster_lang']]['phpBB_Groups']['Error']['phpbb_conf'], 
				$wordings[$roster_conf['roster_lang']]['rs']['ERROR'], 'sred');
		
		}
		else
		{
			// Delete database tables
			if(strtolower($_POST['phpbb_grps']) == "delete")
			{
			
				phpBB_Groups_database_delete();
				echo messagebox("Complete" ,"Addon Uninstalled", "sgreen");
				
			}
			else
			{
			
				// Top menu
				echo '
				<br /><br />
				<form method="post" action="'.$script_filename.'">
				<select name="phpbb_grps">
					<option value="pointers">Update/Add Pointers</option>
					<option value="groups">Update/Add Groups</option>
					<option value="update">Update Groups</option>
					<option value="delete">Uninstall Addon</option>
				</select>
				<input type="submit" value="Submit" />
				</form>
				<br />';
				// If someone's selected to update the groups manually
				if(strtolower($_POST['phpbb_grps']) == "update")
				{
					phpBB_Groups_update();
					echo messagebox("Complete" ,"Groups Updated", "sgreen");
				}
				
				if(strtolower($_POST['phpbb_grps']) == "pointers")
				{
					// Grab all the pointers from the database, print them out all pretty like and allow the user to delete current ones
					$addon_conf['phpBB_Groups']['counted'] = 0;
					
					$addon_conf['phpBB_Groups']['html_out'] = "<form action='".$script_filename."' method='post' name='pointer_form'>
					<table id='phpbb_groups_pointers'>\n<tr><td>&nbsp;</td><td>Roster</td><td style='text-align:right;'>phpBB</td><td>&nbsp;</td><td>&nbsp;</td></tr>";
					
					$addon_conf['phpBB_Groups']['query'] = $wowdb->query(
						"SELECT * FROM ".$db_prefix.$addon_conf['phpBB_Groups']['pointer_table_name']);
					while($addon_conf['phpBB_Groups']['result'] = $wowdb->fetch_assoc($addon_conf['phpBB_Groups']['query'])){
						$addon_conf['phpBB_Groups']['html_out'] .= "
						<tr id='phpbb_groups_pointers_row".$addon_conf['phpBB_Groups']['counted']."'>
							<td><input type='button' value='Search' onclick='window.open(\"".$script_filename."&amp;search=true&amp;m=roster&amp;d=roster".$addon_conf['phpBB_Groups']['counted']."\", \"_rostersearch\", \"HEIGHT=250,resizable=0,status=0,WIDTH=400\");return false;' /></td>
							<td><input type='text' id='roster".$addon_conf['phpBB_Groups']['counted']."' name='pointers[".$addon_conf['phpBB_Groups']['counted']."][roster]' value='".$addon_conf['phpBB_Groups']['result']['roster']."' /></td>
							<td><input type='text' id='phpbb".$addon_conf['phpBB_Groups']['counted']."' name='pointers[".$addon_conf['phpBB_Groups']['counted']."][phpbb]' value='".$addon_conf['phpBB_Groups']['result']['phpbb']."' /></td>
							<td><input type='button' value='Search' onclick='window.open(\"".$script_filename."&amp;search=true&amp;m=phpbb&amp;d=phpbb".$addon_conf['phpBB_Groups']['counted']."\", \"_phpbbsearch\", \"HEIGHT=250,resizable=0,status=0,WIDTH=400\");return false;' />
							<td><input type='button' value='Delete' onclick='phpbb_groups_remove_row(\"phpbb_groups_pointers_row".$addon_conf['phpBB_Groups']['counted']."\");' /></td>
						</tr>
						";
						$addon_conf['phpBB_Groups']['counted']++;
					}
					
					$addon_conf['phpBB_Groups']['html_out'] .= "</table>\n<input type='button' value='Add Another' onclick='phpbb_groups_add_row();return false;' />\n
								<br /><input type='submit' name='pointers_save' value='Save' /></form>";
					printf($addon_conf['phpBB_Groups']['Pointers_Javascript'], $addon_conf['phpBB_Groups']['counted']);
					echo messagebox($addon_conf['phpBB_Groups']['html_out'], "Member Pointers", "sgray");
				}
				
				if(strtolower($_POST['phpbb_grps']) == "groups")
				{
					$addon_conf['phpBB_Groups']['counted'] = 0;
					$addon_conf['phpBB_Groups']['ranks'] = "";
					
					// Get phpBB groups
					require_once($addon_conf['phpBB_Groups']['phpbb_dir']."/config.php");
					$phpbbdb = new wowdb;
					$phpbbdb->connect($dbhost, $dbuser, $dbpasswd, $dbname);
					unset($dbhost, $dbuser, $dbpasswd, $dbname, $dbms);
					$addon_conf['phpBB_Groups']['query'] = $phpbbdb->query( "SELECT group_name, group_id FROM ".$table_prefix."groups WHERE group_name != '' AND group_name LIKE '".$addon_conf['phpBB_Groups']['group_prefix']."%' ORDER BY group_id" );
					while( $addon_conf['phpBB_Groups']['result'] =  $wowdb->fetch_assoc($addon_conf['phpBB_Groups']['query']) ){
						$addon_conf['phpBB_Groups']['groups'] .= "<option value='".$addon_conf['phpBB_Groups']['result']['group_id']."'>".$addon_conf['phpBB_Groups']['result']['group_name']."</option>";
					}

					// Get roster ranks
					$addon_conf['phpBB_Groups']['query'] = $wowdb->query( "SELECT DISTINCT ( `guild_rank`), `guild_title` FROM `".ROSTER_MEMBERSTABLE."` ORDER BY `guild_rank`");
					while( $addon_conf['phpBB_Groups']['result'] =  $wowdb->fetch_assoc($addon_conf['phpBB_Groups']['query']) ){
						$addon_conf['phpBB_Groups']['ranks'] .= "<option value='".$addon_conf['phpBB_Groups']['result']['guild_rank']."'>".$addon_conf['phpBB_Groups']['result']['guild_title']."</option>";
					}
				
					$addon_conf['phpBB_Groups']['html_out'] = "<form action='".$script_filename."' method='post' name='group_form'>
					<table id='phpbb_groups_groups'>\n<tr><td>Roster</td><td style='text-align:right;'>phpBB</td></tr>";
					
					$addon_conf['phpBB_Groups']['query'] = $wowdb->query("SELECT * FROM ".$db_prefix.$addon_conf['phpBB_Groups']['group_table_name']);
					while($addon_conf['phpBB_Groups']['result'] = $wowdb->fetch_assoc($addon_conf['phpBB_Groups']['query'])){
						$addon_conf['phpBB_Groups']['ranks_out'] = 
							str_replace( "value='".$addon_conf['phpBB_Groups']['result']['rank']."'", "value='".$addon_conf['phpBB_Groups']['result']['rank']."' selected ", $addon_conf['phpBB_Groups']['ranks']);
						$addon_conf['phpBB_Groups']['groups_out'] = 
							str_replace( "value='".$addon_conf['phpBB_Groups']['result']['group']."'", "value='".$addon_conf['phpBB_Groups']['result']['group']."' selected ", $addon_conf['phpBB_Groups']['groups']);
						
						$addon_conf['phpBB_Groups']['html_out'] .= "<tr id='phpbb_groups_groups_row".$addon_conf['phpBB_Groups']['counted']."'>
							<td><select id='rank".$addon_conf['phpBB_Groups']['counted']."' name='groups[".$addon_conf['phpBB_Groups']['counted']."][rank]'>".$addon_conf['phpBB_Groups']['ranks_out']."</select></td>
							<td><select id='group".$addon_conf['phpBB_Groups']['counted']."' name='groups[".$addon_conf['phpBB_Groups']['counted']."][group]'>".$addon_conf['phpBB_Groups']['groups_out']."</select></td>
							<td><input type='button' value='Delete' onclick='phpbb_groups_remove_row(\"phpbb_groups_groups_row".$addon_conf['phpBB_Groups']['counted']."\");' /></td>
						</tr>\n";
						$addon_conf['phpBB_Groups']['counted']++;
					}
					
					$addon_conf['phpBB_Groups']['html_out'] .= "</table>\n<input type='button' value='Add Another' onclick='phpbb_groups_add_row();return false;' />\n
								<br /><input type='submit' name='groups_save' value='Save' /></form>";
					printf($addon_conf['phpBB_Groups']['Groups_Javascript'], $addon_conf['phpBB_Groups']['counted'],$addon_conf['phpBB_Groups']['ranks'],$addon_conf['phpBB_Groups']['groups']);
					echo messagebox($addon_conf['phpBB_Groups']['html_out'], "Rank Groups", "sgray");
				}
				
				if(isset($_POST['pointers_save']))
				{
					// Empty and repopulate the table
					$wowdb->query( "TRUNCATE TABLE ".$db_prefix.$addon_conf['phpBB_Groups']['pointer_table_name'] );
					// Make array start from 0
					$addon_conf['phpBB_Groups']['tmp'] = array();
					$addon_conf['phpBB_Groups']['tmp'] = array_merge($addon_conf['phpBB_Groups']['tmp'], $_POST['pointers']);
					for($addon_conf['phpBB_Groups']['tmp1']=0;$addon_conf['phpBB_Groups']['tmp1'] < sizeof($addon_conf['phpBB_Groups']['tmp']); $addon_conf['phpBB_Groups']['tmp1']++){
						// If one of the firelds are blank we'll just skip the record (easy delete)
						if( $addon_conf['phpBB_Groups']['tmp'][$addon_conf['phpBB_Groups']['tmp1']]['phpbb'] !="" && $addon_conf['phpBB_Groups']['tmp'][$addon_conf['phpBB_Groups']['tmp1']]['roster'] !="" ){
							$wowdb->query( " INSERT INTO `roster_phpBB_Groups_pointers` ( `phpbb` , `roster` ) VALUES (
								'".$wowdb->escape($addon_conf['phpBB_Groups']['tmp'][$addon_conf['phpBB_Groups']['tmp1']]['phpbb'])."', 
								'".$wowdb->escape($addon_conf['phpBB_Groups']['tmp'][$addon_conf['phpBB_Groups']['tmp1']]['roster'])."')");
						}
					}
					echo messagebox("Complete" ,"Pointers Updated", "sgreen");
				}
				
				if(isset($_POST['groups_save']))
				{
					// See above
					$wowdb->query( "TRUNCATE TABLE ".$db_prefix.$addon_conf['phpBB_Groups']['group_table_name'] );
					$addon_conf['phpBB_Groups']['tmp'] = array();
					$addon_conf['phpBB_Groups']['tmp'] = array_merge($addon_conf['phpBB_Groups']['tmp'], $_POST['groups']);
					for($addon_conf['phpBB_Groups']['tmp1']=0;$addon_conf['phpBB_Groups']['tmp1'] < sizeof($addon_conf['phpBB_Groups']['tmp']); $addon_conf['phpBB_Groups']['tmp1']++){
						if( $addon_conf['phpBB_Groups']['tmp'][$addon_conf['phpBB_Groups']['tmp1']]['rank'] !="" && $addon_conf['phpBB_Groups']['tmp'][$addon_conf['phpBB_Groups']['tmp1']]['group'] !="" ){
							$wowdb->query( " INSERT INTO `roster_phpBB_Groups_groups` ( `rank` , `group` ) VALUES (
								'".$wowdb->escape($addon_conf['phpBB_Groups']['tmp'][$addon_conf['phpBB_Groups']['tmp1']]['rank'])."', 
								'".$wowdb->escape($addon_conf['phpBB_Groups']['tmp'][$addon_conf['phpBB_Groups']['tmp1']]['group'])."')");
						}
					}
					echo messagebox("Complete" ,"Groups Updated", "sgreen");
				}
			}
		}
	}
}

?>