<?php

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

/*
	Start the following scripts when "update.php" is called

	Available variables
		- $wowdb       = roster's db layer
		- $member_id   = character id from the database ( ex. 24 )
		- $member_name = character's name ( ex. 'Jonny Grey' )
		- $roster_conf = The entire roster config array
		- $mode        = when you want to run the trigger
			= 'char'  - during a character update
			= 'guild' - during a guild update

	You may need to do some fancy coding if you need more variables

	You can just print any needed output

*/
//----------[ INSERT UPDATE TRIGGER BELOW ]-----------------------

// Run this on a guild update
require_once($addonDir."/functions.php");
if( $mode == 'guild_post' )
{
	require_once($addonDir."/localization.php");
	//Check if we're installed
	$addon_conf['phpBB_Groups']['trigger_result'] = phpBB_Groups_update();
	
	// Worked, done
	if( $addon_conf['phpBB_Groups']['trigger_result'] == 0 ){
		echo $wordings[$roster_conf['roster_lang']]['phpBB_Groups']['Title'].": ".$wordings[$roster_conf['roster_lang']]['phpBB_Groups']['Update_Msg'];
	// Not installed, done
	}elseif( $addon_conf['phpBB_Groups']['trigger_result'] == 1){
		echo $wordings[$roster_conf['roster_lang']]['phpBB_Groups']['Title'].": ".$wordings[$roster_conf['roster_lang']]['phpBB_Groups']['Error']['Not_Installed'];
	}
}
